<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <title>Weather page</title>
</head>
<body>
{{> header}}
<main style="flex: 1">
    <section id="weather">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="list-group" style="height: 50px">
                        {{#each cities}}
                            <a class="list-group-item" href="/weather/{{this}}">{{this}}</a>
                        {{/each}}
                    </div>
                </div>
                <div class="col-12 col-md-6 col-lg-9">
                    {{#if city}}
                        <h1>Погода в місті {{city}}</h1>
                        <img src="https://openweathermap.org/img/wn/{{weather.weather.0.icon}}@2x.png" alt="weather icon" class="d-block mx-auto">
                        <table class="table table-bordered">
                            <tr>
                                <th>Температура</th>
                                <td>{{weather.main.temp}}°C</td>
                            </tr>
                            <tr>
                                <th>Тиск</th>
                                <td>{{weather.main.pressure}} hPa</td>
                            </tr>
                            <tr>
                                <th>Вологість</th>
                                <td>{{weather.main.humidity}}%</td>
                            </tr>
                        </table>
                    {{else}}
                        <h1>Оберіть місто, щоб побачити погоду</h1>
                    {{/if}}
                </div>
            </div>
        </div>
    </section>
</main>
{{> footer}}
</body>
</html>
